Changes

Jump to navigation Jump to search
345 bytes removed ,  15:03, 1 March 2012
The best supported compilers for the job are the [http://gcc.gnu.org/ GNU Compiler Collection]. You will require at least GCC 4.3 or later, although GCC 4.4 or later is recommended.
To compile Octave, you will also need a recent version of GNU Make. You must have GNU Make to compile octave. Octave's Makefiles use features of GNU Make that are not present in other versions of make. GNU Make is very portable and easy to install.  =Introduction= Building Octave can be as simple as downloading the source and running the following three commands in your Linux shell:  ./configure make make install [http://www.gnu.org/software/octave/doc/interpreter/Installation.html#Installation More detailed instructions]for building from source are included in the Octave manual.

Navigation menu